# Create a webhook

Registers a new webhook that will be triggered when a specific event occurs. You must provide a valid webhook_url and a supported webhook_type. The created webhook will immediately be eligible to receive matching notifications.

Endpoint: POST /webhooks
Version: 1.0.0
Security: basicAuth

## Request fields (application/json):

  - `webhook_url` (string, required)
    The callback URL where webhook events will be sent.
    Example: "https://example.com"

  - `webhook_type` (string, required)
    The event type to subscribe to.
    Enum: "send-envelope", "signed-envelope", "cancelled-envelope", "rejected-envelope", "bounced-envelope", "add-user", "add-contact", "opened-envelope", "add-template", "all", "signed-envelope-complete", "verify-envelope-widget", "signed-envelope-widget", "send-envelope-failed"

## Response 200 fields (application/json):

  - `http` (integer, required)
    HTTP status code
    Example: 200

  - `message` (string, required)
    Confirmation message about the webhook creation
    Example: "The webhook (https://example.com) has been created"

  - `href` (string, required)
    API resource URL for the newly created webhook
    Example: "https://api.signable.co.uk/v1/webhooks/152691"

  - `webhook_id` (string, required)
    Unique identifier for the created webhook
    Example: "152691"

  - `webhook_url` (string, required)
    The callback URL registered for the webhook
    Example: "https://example.com"

  - `webhook_type` (string, required)
    The event type the webhook is subscribed to
    Enum: "send-envelope", "signed-envelope", "cancelled-envelope", "rejected-envelope", "bounced-envelope", "add-user", "add-contact", "opened-envelope", "add-template", "all", "signed-envelope-complete", "verify-envelope-widget", "signed-envelope-widget", "send-envelope-failed"

  - `webhook_created` (string, required)
    The timestamp when the webhook was created
    Example: "2025-06-23T17:15:01+0000"


